#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_DragonBallLotteryData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//道具ID
	int mItemID;
	//道具数量
	int mItemCount;
	//大奖标识
	int mBig;
};

class M_DragonBallLottery
{
public:
private:
	static std::auto_ptr<M_DragonBallLottery> msSingleton;
public:
	int GetCount();
	const M_DragonBallLotteryData* GetData(int ID);
	boost::unordered_map<int, M_DragonBallLotteryData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_DragonBallLottery* GetSingleton();
private:
	boost::unordered_map<int, M_DragonBallLotteryData> mMapData;
};
